<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/class_share_root_view"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:ignore="MissingDefaultResource">


    <com.daya.live_teaching.ui.view.ClassVideoListItem
        android:id="@+id/class_share_screen_videoview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black_333"
        android:gravity="center"
        android:visibility="gone" />

    <com.daya.live_teaching.ui.view.ClassVideoListItem
        android:id="@+id/class_share_videoview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="visible" />

    <View
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_alignRight="@+id/class_share_videoview"
        android:background="@drawable/bg_living_class_operate_bottom"
        android:layout_alignTop="@+id/iv_fragment_share_screen_onstage"
        />

    <TextView
        android:id="@+id/tv_share_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentStart="@+id/class_share_videoview"
        android:layout_alignParentTop="@+id/class_share_videoview"
        android:layout_margin="@dimen/dp_10"
        android:paddingStart="@dimen/dp_15"
        android:paddingTop="@dimen/dp_5"
        android:paddingEnd="@dimen/dp_15"
        android:paddingBottom="@dimen/dp_5"
        android:text=""
        android:textColor="@color/white"
        android:textSize="@dimen/dp_16"
        android:visibility="visible" />
    <ImageView
        android:id="@+id/iv_fragment_share_screen_onstage"
        android:visibility="invisible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/dp_10"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_alignParentStart="true"
        android:layout_alignParentBottom="true"
        android:src="@drawable/ic_student_on_stage"/>

    <com.daya.live_teaching.widget.OperateButtonGroupView
        android:id="@+id/share_operate_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignTop="@+id/iv_fragment_share_screen_onstage"
        android:gravity="left"
        android:orientation="horizontal"/>

    <TextView
        android:id="@+id/tv_speech"
        android:layout_width="@dimen/dp_44"
        android:layout_height="@dimen/dp_44"
        android:layout_marginEnd="@dimen/dp_7"
        android:layout_marginBottom="@dimen/dp_61"
        android:visibility="gone"
        android:background="@drawable/bg_live_green_default_shape"
        android:layout_alignEnd="@+id/iv_fragment_share_screen_onstage"
        android:layout_alignTop="@+id/iv_fragment_share_screen_onstage"
        android:gravity="center"
        android:text="上台"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_12"/>


    <ImageView
        android:id="@+id/iv_raise_hands"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignEnd="@+id/class_share_videoview"
        android:layout_alignTop="@+id/iv_fragment_share_screen_onstage"
        android:layout_marginEnd="@dimen/dp_28"
        android:layout_marginBottom="@dimen/dp_20"
        android:src="@drawable/ic_living_raise_hand"
        android:visibility="gone"
        android:drawableStart="@drawable/ic_hands"
        android:text="举手"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_15"/>

    <com.daya.live_teaching.ui.view.DisplayNullView
        android:id="@+id/class_share_screen_null"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone" />
</RelativeLayout>